<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.generator.mapper.SysProjectModuleMapper">
    
    <resultMap type="SysProjectModule" id="SysProjectModuleResult">
        <result property="id"    column="id"    />
        <result property="projectId"    column="project_id"    />
        <result property="moduleId"    column="module_id"    />
        <result property="status"    column="status"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectSysProjectModuleVo">
        select id, project_id, module_id, status, create_by, create_time, update_by, update_time, remark from sys_project_module
    </sql>

    <select id="selectSysProjectModuleList" parameterType="SysProjectModule" resultMap="SysProjectModuleResult">
        <include refid="selectSysProjectModuleVo"/>
        <where>  
            <if test="projectId != null "> and project_id = #{projectId}</if>
            <if test="moduleId != null "> and module_id = #{moduleId}</if>
            <if test="status != null  and status != ''"> and status = #{status}</if>
        </where>
    </select>
    
    <select id="selectSysProjectModuleById" parameterType="Long" resultMap="SysProjectModuleResult">
        <include refid="selectSysProjectModuleVo"/>
        where id = #{id}
    </select>

    <insert id="insertSysProjectModule" parameterType="SysProjectModule" useGeneratedKeys="true" keyProperty="id">
        insert into sys_project_module
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="projectId != null">project_id,</if>
            <if test="moduleId != null">module_id,</if>
            <if test="status != null">status,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="projectId != null">#{projectId},</if>
            <if test="moduleId != null">#{moduleId},</if>
            <if test="status != null">#{status},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateSysProjectModule" parameterType="SysProjectModule">
        update sys_project_module
        <trim prefix="SET" suffixOverrides=",">
            <if test="projectId != null">project_id = #{projectId},</if>
            <if test="moduleId != null">module_id = #{moduleId},</if>
            <if test="status != null">status = #{status},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteSysProjectModuleById" parameterType="Long">
        delete from sys_project_module where id = #{id}
    </delete>

    <delete id="deleteSysProjectModuleByIds" parameterType="String">
        delete from sys_project_module where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>